For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Create a simulation scenario

||View as Markdown|
POST
/simulation_scenarios
POST
/v2/simulation_scenarios
$curl -X POST https://api.synthflow.ai/v2/simulation_scenarios \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Verify customer satisfaction",
> "description": "Ensure the agent maintains a positive tone and resolves customer issues"
>}'
1{
2 "status": "ok",
3 "response": {
4 "simulation_scenario": {
5 "id": "9ad09ad3-9c22-441e-ae35-c05016a09786",
6 "name": "Verify customer satisfaction"
7 }
8 }
9}
Create a new simulation scenario. Scenarios are templates used when generating test cases to ensure coverage of specific situations.
Was this page helpful?
Previous

List simulation scenarios

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Name of the simulation scenario template
descriptionstringRequired
Description of what the scenario template should verify when generating test cases

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error